Create Oasis Internal Transfer Order¶
Create an internal transfer order between your oasis balance accounts and other exchanges buffer accounts within your enterprise. width: default title: visible: true description: visible: false tableOfContents: visible: true outline: visible: true pagination: visible: true metadata: visible: true tags: visible: true actions: visible: true
This endpoint is used to transfer funds between internal Oasis service accounts under the same institution, streamlining fund allocation and reducing transfer time and costs.
Endpoint¶
Request Parameters¶
Body Parameters¶
| Field | Type | Description |
|---|---|---|
| orderNo Required | String | Order ID to uniquely identify the transaction. Max length 64 (supports uppercase and lowercase letters, numbers, underscores, and dashes). |
| accountId Required | String | Account ID. |
| destIdentityCode Required | String | Destination Oasis UID. |
| amount Required | String | Amount that you wish to transfer. |
| currency Required | String | Currency type. Only Oasis supported tokens are allowed. Allowed Value: Refer to the Coin Name (API) column for tokens where Oasis Account is set to Yes in the Supported Token list. |
| description Optional | String | Order description (max 50 characters) |
Request Example¶
Request Body (application/json)
{
"destIdentityCode": "20240126",
"accountId": "100266",
"amount": "2.12",
"orderNo": "TX_00251001000023",
"description": "intra withdraw",
"currency": "ADA"
}
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code |
| message | String | Response message |
| successful | Boolean | If the request is successful |
| data | String | Contain the order number as declared in the body parameter |